* {
    font-family: Roboto, Helvetica, Arial, sans-serif;
    font-size: 14px;
    min-height: 0;
    padding-bottom: 1px;
    padding-top: 1px;
}

#battery {
    background: transparent;
    color: #eceff4;
    opacity: 0.8;
    padding: 1px 8px;
}

#battery.charging, #battery.plugged {
    color: #ffffff;
    padding: 1px 8px;
}

#battery.critical:not(.charging) {
    animation-direction: alternate;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
    animation-name: blink;
    animation-timing-function: linear;
    background-color: #bf616a;
    color: #d8dee9;
    border-radius: 4px;
}

#clock {
    color: #eceff4;
    margin-right: 4px;
    padding: 1px 8px;
    border-radius: 4px;
}

#network {
    background: transparent;
    color: #eceff4;
    opacity: 0.8;
    padding: 1px 8px;
}

#network.disconnected {
    background: #3b4252;
    color: #bf616a;
}

#tray {
    background: #3b4252;
    color: #eceff4;
    margin-left: 18px;
}

#tray > .passive {
    -gtk-icon-effect: dim;
    background: #3b4252;
    color: #eceff4;
}

#tray > .needs-attention {
    -gtk-icon-effect: highlight;
    background: #3b4252;
    color: #eceff4;
}

window#waybar {
    background: transparent;
    transition-duration: .2s;
    transition-property: background-color;
}

#workspaces button:hover {
    /* https://github.com/Alexays/Waybar/wiki/FAQ#the-workspace-buttons-have-a-strange-hover-effect */
    background: @background;
    border-bottom: 1px solid #eceff4;
    box-shadow: inherit;
    color: #eceff4;
}

#workspaces button {
    background: transparent;
    color: #eceff4;
    margin-left: 2px;
    margin-right: 2px;
    opacity: 0.7;
}

#workspaces button.focused {
    background: #4c566a;
    color: #eceff4;
    opacity: 0.8;
}

#workspaces button.urgent {
    background-color: #eb4d4b;
}

/* Custom Stuff */
#custom-audio {
    background: transparent;
    color: #eceff4;
    opacity: 0.7;
    padding: 2px 8px;
}

#custom-hostname {
    background: transparent;
    color: #eceff4;
    padding: 2px 8px;
    opacity: 0.7;
}

tooltip {
    background-color: #3b4252;
    color: #e5e9f0;
    border: 1px solid #d8dee9;
    border-radius: 4px;
}
